librime: rime::ScriptSyllabifier Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::ScriptSyllabifier Class Reference
Inheritance diagram for rime::ScriptSyllabifier:
[legend]
Collaboration diagram for rime::ScriptSyllabifier:
[legend]

## Public Member Functions
| ScriptSyllabifier (ScriptTranslator *translator, Corrector *corrector, const string &input, size_t start)
virtual Spans | Syllabify (const Phrase *phrase)
size_t | BuildSyllableGraph (Prism &prism)
string | GetPreeditString (const Phrase &cand) const
string | GetOriginalSpelling (const Phrase &cand) const
bool | IsCorrection (const Code &code, size_t code_length) const
const SyllableGraph & | syllable_graph () const
Public Member Functions inherited from rime::PhraseSyllabifier
virtual | ~PhraseSyllabifier ()=default

## Protected Attributes
ScriptTranslator * | translator_
string | input_
size_t | start_
Syllabifier | syllabifier_
SyllableGraph | syllable_graph_

## Constructor & Destructor Documentation

## ◆ ScriptSyllabifier()

rime::ScriptSyllabifier::ScriptSyllabifier | ( | ScriptTranslator * | translator,
|  | Corrector * | corrector,
|  | const string & | input,
|  | size_t | start )
| inline

## Member Function Documentation

## ◆ BuildSyllableGraph()

size_t rime::ScriptSyllabifier::BuildSyllableGraph | ( | Prism & | prism | ) |

## ◆ GetOriginalSpelling()

string rime::ScriptSyllabifier::GetOriginalSpelling | ( | const Phrase & | cand | ) | const

## ◆ GetPreeditString()

string rime::ScriptSyllabifier::GetPreeditString | ( | const Phrase & | cand | ) | const

## ◆ IsCorrection()

bool rime::ScriptSyllabifier::IsCorrection | ( | const Code & | code,
|  | size_t | code_length ) const

## ◆ Syllabify()

Spans rime::ScriptSyllabifier::Syllabify | ( | const Phrase * | phrase | ) |
| virtual

Implements rime::PhraseSyllabifier.

## ◆ syllable_graph()

const SyllableGraph & rime::ScriptSyllabifier::syllable_graph | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ input_

string rime::ScriptSyllabifier::input_
| protected

## ◆ start_

size_t rime::ScriptSyllabifier::start_
| protected

## ◆ syllabifier_

Syllabifier rime::ScriptSyllabifier::syllabifier_
| protected

## ◆ syllable_graph_

SyllableGraph rime::ScriptSyllabifier::syllable_graph_
| protected

## ◆ translator_

ScriptTranslator* rime::ScriptSyllabifier::translator_
| protected

The documentation for this class was generated from the following file:

- script_translator.cc